{% extends "teams/base.html" %}
{% load static %}
{% load render_bundle from webpack_loader %}

{% block style %}
{{ block.super }}
{% render_bundle 'teams_manage' 'css' %}
{% endblock %}

{% block webpack_script %}
{% comment %}This is deliberately not deferred because jQuery needs to be loaded before some other stuff in the template is rendered{% endcomment %}
{% render_bundle 'teams_manage' 'js' %}
{{ size_data | json_script:"size-data" }}
{% endblock %}

{% block content %}
<h1>Team</h1>
{% if team.is_explicit %}
{% spaceless %}
{% endspaceless %}
{% if discord_url and discord_bot_id %}
<h2>Join your team in Discord</h2>
<p>You can join team chat with text, voice and video by joining the <a href="{{ discord_url }}">event discord</a> and DM'ing <a href="https://discord.com/users/{{ discord_bot_id }}">the bot</a></p>
<p><code>!joinTeam {{ token }}</code></p>
<p>Keep this join code SECRET, keep it safe. Do not paste it in public channels, only in a DM to the bot.</p>
{% endif %}
<h2>Manage your team</h2>
<p>Other players can search for and request to join your team.
{% if size_categories %}
	{% if size_categories|length == 1 %}
	Teams can have up to {{ max_team_size }} members.
	{% else %}
	Your team currently has {{ members.count }} member{{ members.count|pluralize }} and is in the category <i>{{ current_category.display_label }}</i>.
	The team categories are as follows:
	<ol class="list-unstyled">
		{% for category in size_categories %}
		<li>{{ category.display_range|safe }}{% if category.label %}: <i>{{ category.label|safe }}</i>{% endif %}{% if category.description %}. {{ category.description|safe }}{% endif %}</li>
		{% endfor %}
	</ol>
	{% endif %}
{% else %}
There is no maximum team size.
{% endif %}
</p>
<h3>{{ team.name }}</h3>
{% spaceless %}
<div id="member-list" class="member-list">
{% for member in members.all %}
	<div class="member">
		<h3><a href="{{ member.get_absolute_url }}">{{ member.username }}</a></h3>
		{% if member.picture %}
			<img src="{{ member.picture }}" alt="{{ member.username }}" />
		{% endif %}
		<p>
		{% if member.seat %}
			Seat {{ member.seat }}
		{% endif %}
		</p>
	</div>
{% endfor %}
</div>
{% endspaceless %}
<div id="req-div">
<h3>Requests to join</h3>
<p>
	Accepting a request will result in the player joining your team for the event.
	There is no way to remove a player from your team after accepting them!
	<button class="btn btn-outline-info btn-sm" data-bs-toggle="popover" data-bs-trigger="focus" data-bs-content="Because once joined and the event has started, a player can see what you've guessed and answered, so treating them as being on a separate team or allowing them to join a different one would be unfair.">
		why?
	</button>
</p>
<div id="size-info"></div>
<div id="req-none"{% if requests %} style="display: none;"{% endif %}>
	<p>There are currently no requests to join your team.</p>
</div>
<ul style="width: 40%">
{% spaceless %}
{% for user in requests %}
	<li>
		{{ user.username }} has requested to join
		<span style="float: right">
			{% if not is_full %}&nbsp;<a href="#" class="req-accept" data-team="{{ team.pk }}" data-user="{{ user.uuid }}">Accept</a>{% endif %}
			&nbsp;<a href="#" class="req-deny" data-team="{{ team.pk }}" data-user="{{ user.uuid }}">Ignore</a>
		</span>
	</li>
{% endfor %}
{% endspaceless %}
</ul>
</div>
{% else %}
<p>You can request to join a team or create your own team. Once you create or join a team for this event you cannot move to another team.</p>
<h2>Request to join a team</h2>
<p id="req-error" style="display: none;"></p>
{% spaceless %}
<ul id="req-list" style="width: 40%">
{% for team in requests %}
<li>You have requested to join {{ team.name }}<span style="float: right">&nbsp;<a href="#" class="req-cancel" data-team="{{ team.pk }}">Cancel</a></span></li>
{% endfor %}
</ul>
<form id="req-create" action="#" method="post">
	{% for field in request_form %}
		<p>{{ field.label_tag }}</p>
		<p>{{ field }}</p>
	{% endfor %}
	<input type="submit" value="Request" />
</form>
{{ request_form.media }}
{% endspaceless %}
<h2>Create a team</h2>
<p id="create-error" style="display: none;"></p>
{% spaceless %}
	<form action="create" method="post">
		{% csrf_token %}
		{% for field in create_form %}
			<p>{{ field.label_tag }}</p>
			<p>{{ field }}</p>
		{% endfor %}
		<p id="inv-error" style="display: none;"></p>
		<input type="submit" value="Create your team" />
	</form>
{% endspaceless %}
{% endif %}
{% endblock %}
